﻿@{
    ViewBag.Title = "PT. Bank Mandiri (Persero) Tbk. - Lelang Agunan Bank Mandiri";
    ViewBag.CurrentMenu = "Home";
    if (Request.Url.ToString().ToLower().Contains("home"))
    {
        ViewBag.CurrentMenu = "Home";
    }
    else if (Request.Url.ToString().ToLower().Contains("faq"))
    {
        ViewBag.CurrentMenu = "Informasi";
    }
    else if (Request.Url.ToString().ToLower().Contains("terms"))
    {
        ViewBag.CurrentMenu = "Informasi";
    }
    else if (Request.Url.ToString().ToLower().Contains("about"))
    {
        ViewBag.CurrentMenu = "Informasi";
    }
    else if (Request.Url.ToString().ToLower().Contains("video"))
    {
        ViewBag.CurrentMenu = "Video";
    }
    else if (Request.Url.ToString().ToLower().Contains("asset"))
    {
        ViewBag.CurrentMenu = "Asset";
    }
    else if (Request.Url.ToString().ToLower().Contains("contact"))
    {
        ViewBag.CurrentMenu = "Contact";
    }
    else if (Request.Url.ToString().ToLower().Contains("schedule"))
    {
        ViewBag.CurrentMenu = "Schedule";
    }
    else if (Request.Url.ToString().ToLower().Contains("login"))
    {
        ViewBag.CurrentMenu = "Login";
    }
    else if (Request.Url.ToString().ToLower().Contains("register"))
    {
        ViewBag.CurrentMenu = "Register";
    }
    else if (Request.Url.ToString().ToLower().Contains("profile"))
    {
        ViewBag.CurrentMenu = "Profile";
    }
    else if (Request.Url.ToString().ToLower().Contains("reset"))
    {
        ViewBag.CurrentMenu = "Reset Password";
    }
    else if (Request.Url.ToString().ToLower().Contains("favorite"))
    {
        ViewBag.CurrentMenu = "Favorite";
    }
}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>@ViewBag.Title</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="PT. Bank Mandiri (Persero) Tbk. - Lelang Agunan Bank Mandiri">
    <meta name="author" content="PT. Bank Mandiri (Persero) Tbk.">
    <meta name="keywords" content="Mandiri,Bank,Bank Mandiri,Lelang,Agunan,Cepat">

    @RenderSection("socialmediameta", required: false)

    <link href="/css/bootstrap.css" rel="stylesheet">
    <link href="/css/style.css" rel="stylesheet">
    <link href="/css/animate.css" rel="stylesheet">
    <link href="/css/datepicker3.css" rel="stylesheet">
    <link href="/css/bootstrap-multiselect.css" rel="stylesheet">
    <link href="/css/magnific-popup.css" rel="stylesheet">
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
    <script src="/js/html5shiv.js"></script>
    <script src="/js/respond.js"></script>
    <![endif]-->

    <!-- Fav and touch icons -->
    <!-- <link rel="apple-touch-icon-precomposed" sizes="144x144" href="/img/apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="/img/apple-touch-icon-114-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="/img/apple-touch-icon-72-precomposed.png">
    <link rel="apple-touch-icon-precomposed" href="/img/apple-touch-icon-57-precomposed.png"> -->
    <link rel="shortcut icon" href="/img/favicon.ico">
    <link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet">
    <script type="text/javascript" src="/js/jquery.min.js"></script>
    <script type="text/javascript" src="/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="/js/scripts.js"></script>
    <script type="text/javascript" src="/js/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="/js/locales/bootstrap-datepicker.id.js" charset="UTF-8"></script>
    <script type="text/javascript" src="/js/jquery.validate.js"></script>
    <script type="text/javascript" src="/js/jquery.validate.unobtrusive.js"></script>
    <script type="text/javascript" src="/js/bootstrap-multiselect.js"></script>
    <script type="text/javascript" src="/js/jquery.magnific-popup.min.js"></script>
    <script type="text/javascript" src="/js/js.cookie.js"></script>
    <script type="text/javascript" src="/js/bootstrap-show-password.min.js"></script>  

    <style type="text/css">
        @@-webkit-viewport {
            width: device-width;
        }

        @@-moz-viewport {
            width: device-width;
        }

        @@-ms-viewport {
            width: device-width;
        }

        @@-o-viewport {
            width: device-width;
        }

        @@viewport {
            width: device-width;
        }
    </style>

    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?language=id&key=AIzaSyA6R6CeNJkr4Oc_WMDwJ_H5E-agSQqlMA4"></script>

    @RenderSection("head", required: false)
</head>
<body>
    <!-- Facebook -->
    <div id="fb-root"></div>
    <script>(function (d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.0";
    fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
    <!-- Twitter -->
    <script type="text/javascript">
        window.twttr = (function (d, s, id) { var t, js, fjs = d.getElementsByTagName(s)[0]; if (d.getElementById(id)) { return } js = d.createElement(s); js.id = id; js.src = "https://platform.twitter.com/widgets.js"; fjs.parentNode.insertBefore(js, fjs); return window.twttr || (t = { _e: [], ready: function (f) { t._e.push(f) } }) }(document, "script", "twitter-wjs"));
    </script>
    <!-- Page Info -->
    @{
        String siteMapID = String.Empty;
        String urlReferrerSiteMapID = String.Empty;
        long? assetID = null;
        String additionalParams = String.Empty;
        if (ViewContext.RouteData.Values["controller"].ToString().ToUpper() != "IMAGE")
        {
            siteMapID = String.Format("{0} - {1}", ViewContext.RouteData.Values["controller"].ToString().ToUpper(), ViewContext.RouteData.Values["action"].ToString().ToUpper());
            if (HttpContext.Current.Request.UrlReferrer != null)
            {
                String urlReferrer = HttpContext.Current.Request.UrlReferrer.PathAndQuery.ToLower();
                if (urlReferrer.Contains("asset/detail"))
                {
                    urlReferrerSiteMapID = "ASSET - DETAIL";
                    String strAssetID = HttpContext.Current.Request.UrlReferrer.Segments[HttpContext.Current.Request.UrlReferrer.Segments.Length - 1];
                    assetID = long.Parse(strAssetID);
                }
                else if (urlReferrer.Contains("/asset/search"))
                {
                    urlReferrerSiteMapID = "ASSET - SEARCH";
                }
                else if (urlReferrer.Contains("/schedule/list"))
                {
                    urlReferrerSiteMapID = "SCHEDULE - LIST";
                }
                else if (urlReferrer.Contains("/schedule/asset"))
                {
                    urlReferrerSiteMapID = "SCHEDULE - ASSET";
                }
                else if (urlReferrer.Contains("/content/terms"))
                {
                    urlReferrerSiteMapID = "CONTENT - TERMS";
                }
                else if (urlReferrer.Contains("/content/faq"))
                {
                    urlReferrerSiteMapID = "CONTENT - FAQ";
                }
                else if (urlReferrer.Contains("/content/about"))
                {
                    urlReferrerSiteMapID = "CONTENT - ABOUT";
                }
                else if (urlReferrer.Contains("/content/video"))
                {
                    urlReferrerSiteMapID = "CONTENT - VIDEO";
                }
                else if (urlReferrer.Contains("/contact/contact-us"))
                {
                    urlReferrerSiteMapID = "CONTACT - CONTACT US";
                }
                else if (urlReferrer.Contains("/member/login"))
                {
                    urlReferrerSiteMapID = "MEMBER - LOGIN";
                }
                else if (urlReferrer.Contains("/member/register"))
                {
                    urlReferrerSiteMapID = "MEMBER - REGISTER";
                }
                else if (urlReferrer.Contains("/member/favorite"))
                {
                    urlReferrerSiteMapID = "MEMBER - FAVORITE";
                }
                else if (urlReferrer.Contains("/home"))
                {
                    urlReferrerSiteMapID = "HOME - INDEX";
                }
                else
                {
                    urlReferrerSiteMapID = "HOME - INDEX";
                }
            }
            if (siteMapID.Contains("DETAIL"))
            {
                String strAssetID = HttpContext.Current.Request.Url.Segments[HttpContext.Current.Request.Url.Segments.Length - 1];
                assetID = long.Parse(strAssetID);
            }
            additionalParams = HttpContext.Current.Request.Url.Query;
        }
    }
    @Html.Hidden("hdnSiteMapID", siteMapID)
    @Html.Hidden("hdnAssetID", assetID)
    @Html.Hidden("hdnURLReferrerSiteMapID", urlReferrerSiteMapID)
    @Html.Hidden("hdnAdditionalParams", additionalParams)
    @Html.Hidden("hdnCityNameGlobal")
    <div class="container-fluid" style="background-image: url('/img/bg_header.jpg'); height: 100px;">
        <div class="row clearfix">
            <div class="col-md-8 column"></div>
            <div class="col-md-4 column">
                <a href="/">
                    <img src="/img/mandiri_logo.gif" class="img-responsive" id="logo" alt="" style="margin-top: 20px;"></a>
            </div>
        </div>
    </div>
    <div class="container-fluid darkgreen">
        <div class="container-fluid" style="padding-left: 0px; padding-right: 0px;">
            <nav class="navbar navbar-default" role="navigation">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse"
                        data-target="#bs-example-navbar-collapse-1">
                        <span
                            class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div>
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1" style="padding-left: 0px; padding-right: 0px;">
                    <ul class="nav navbar-nav">
                        <li class="@(ViewBag.CurrentMenu == "Home" ? "active" : "")"><a href="/home"><b>Home</b></a> </li>
                        @if (ViewBag.Categories != null && ViewBag.Categories.Count > 0)
                        {
                            <li class="dropdown @(ViewBag.CurrentMenu == "Asset" ? "active" : "")">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><b>Daftar Agunan</b><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="@Url.Action("search", "asset")">Semua <span class="badge">@ViewBag.TotalAsset.ToString()</span></a></li>
                                    @foreach (Mandiri.Lelang.DataModel.Category category in ViewBag.Categories)
                                    {
                                        <li><a href="@Url.Action("search", "asset", routeValues: new { categoryID = category.CategoryID })">@category.Name <span class="badge">@category.CurrentAssetTotal.Value.ToString()</span></a></li>
                                    }
                                </ul>
                            </li>
                        }
                        else
                        {
                            <li class="@(ViewBag.CurrentMenu == "Asset" ? "active" : "")"><a href="#"><b>Daftar Agunan</b></a> </li>
                        }
                        <li class="@(ViewBag.CurrentMenu == "Schedule" ? "active" : "")"><a href="/schedule/list"><b>Jadwal Lelang</b></a> </li>
                        <li class="dropdown @(ViewBag.CurrentMenu == "Informasi" ? "active" : "")">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><b>Informasi Lelang</b><b class="caret"></b></a>
                            <ul class="dropdown-menu">
                                <li><a href="/content/terms">Syarat &amp; Ketentuan</a> </li>
                                <li><a href="/content/faq">FAQ</a> </li>
                                <li><a href="/content/about">Tentang Kami</a> </li>
                                <li><a href="/content/video">Video Gallery</a> </li>
                            </ul>
                        </li>
                        <li class="@(ViewBag.CurrentMenu == "Contact" ? "active" : "")"><a href="/contact/contact-us"><b>Hubungi Kami</b></a> </li>
                        @if (Mandiri.Lelang.Helper.SecurityHelper.IsAuthenticated())
                        { <li class="@(ViewBag.CurrentMenu == "Favorite" ? "active" : "")"><a href="/member/favorite"><b>Daftar Favorite</b></a> </li> }
                        @if (!Mandiri.Lelang.Helper.SecurityHelper.IsAuthenticated())
                        {<li class="@(ViewBag.CurrentMenu == "Register" ? "active" : "")"><a href="/member/register"><b>Daftar</b></a> </li> }
                        @if (!Mandiri.Lelang.Helper.SecurityHelper.IsAuthenticated())
                        {<li class="@(ViewBag.CurrentMenu == "Login" ? "active" : "")"><a href="/member/login"><b>Login</b></a> </li> }
                        @if (Mandiri.Lelang.Helper.SecurityHelper.IsAuthenticated())
                        {
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><b>@ViewBag.FullName</b><b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="@Url.Action("profile", "member")">Profile</a></li>
                                    <li><a href="@Url.Action("logout", "member")">Logout</a></li>
                                </ul>
                            </li>
                        }
                    </ul>
                    @using (Html.BeginForm("search", "asset", FormMethod.Post, htmlAttributes: new { id = "searchForm", @class = "navbar-form navbar-right", role = "search", autocomplete = "off" }))
                    {
                        @Html.AntiForgeryToken()
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" name="keywords" class="form-control" placeholder="Kata Kunci">
                                <span class="input-group-btn">
                                    <button class="btn btn-default" type="submit"><i class="glyphicon glyphicon-search"></i></button>
                                </span>
                            </div>
                        </div>
                    }
                </div>
            </nav>
        </div>
    </div>
    <br />

    @RenderBody()

    <footer>
        <div class="container-fluid bottomback margintop10">
            <div class="container">
            </div>
        </div>
        <div class="container">
            <div class="col-md-6">
                <!-- <h4><span class="label label-default">Total Visitor: @ViewBag.TotalVisitorCount</span>&nbsp;<span class="label label-default">Visitor Hari Ini: @ViewBag.TotalTodayVisitorCount</span></h4> -->
            </div>
            <div class="col-md-6" style="text-align: right;">
                <a href="https://play.google.com/store/apps/details?id=com.mandiri.lelang" target="_blank">
                    <img alt="Android app on Google Play"
                        src="/img/en_app_rgb_wo_45.png" />
                </a>
                <a href="#" target="_blank">
                    <img alt="iOS app on App Store"
                        src="/img/badge-download-on-the-app-store.png" />
                </a>
            </div>
        </div>
        <div class="container bottomfooter">
            <div class="col-md-6">Copyright 2014 PT. Bank Mandiri (Persero) Tbk. All Rights Reserved.</div>
            <div class="col-md-6" style="text-align: right;"><b>Terdepan, Terpercaya. Tumbuh bersama Anda.</b></div>
        </div>
        @RenderSection("footer", required: false)
    </footer>

    @RenderSection("scripts", required: false)

    <script type="text/javascript" charset="utf-8">
        jQuery.extend(jQuery.validator.methods, {
            date: function (value, element) {
                var isChrome = window.chrome;
                var isFirefox = typeof InstallTrigger !== 'undefined';;
                // make correction for chrome
                if (isChrome || isFirefox) {
                    var d = new Date();
                    return this.optional(element) ||
                    !/Invalid|NaN/.test(new Date(d.toLocaleDateString(value)));
                }
                    /*else if (isFirefox) {
                        if (this.optional(element)) {
                            return true;
                        };
                        var result = false;
                        try {
                            $.datepicker.parseDate('dd/mm/yy', value);
                            result = true;
                        } catch (err) {
                            result = false;
                        }
                        return result;
                    }*/
                    // leave default behavior
                else {
                    return this.optional(element) || !/Invalid|NaN/.test(new Date(value).toString());
                }
            }
        });

        $(document).ready(function () {
            $(document.body).on('click', 'a.favorite', function (event) {
                event.preventDefault();
                el = $(this);
                //Optimistic
                el.attr('class', 'unfavorite');
                el.find('img').attr('src', '/img/star.png');
                el.find('img').attr('alt', 'Unfavorite');
                el.find('img').attr('title', 'Unfavorite');
                try {
                    $.ajax({
                        type: "POST",
                        url: "@Url.Action("ajax_favorite", "member")",
                        data: { assetID: $(this).attr('id').split('-')[1] }
                    })
                    .done(function (data) {
                        if (data.isSuccess) {
                            el.attr('class', 'unfavorite');
                            el.find('img').attr('src', '/img/star.png');
                            el.find('img').attr('alt', 'Unfavorite');
                            el.find('img').attr('title', 'Unfavorite');
                            //alert('Success');
                        } else {
                            el.attr('class', 'favorite');
                            el.find('img').attr('src', '/img/empty-star.png');
                            el.find('img').attr('alt', 'Favorite');
                            el.find('img').attr('title', 'Favorite');
                            //alert('Fail');
                        }
                    })
                    .fail(function (jqXHR, textStatus) {
                        el.attr('class', 'favorite');
                        el.find('img').attr('src', '/img/empty-star.png');
                        el.find('img').attr('alt', 'Favorite');
                        el.find('img').attr('title', 'Favorite');
                        //alert(jqXHR.responseText);
                        //alert('Fail');
                    })
                    .always(function () {
                    });
                } catch (e) {
                }
            });

            $(document.body).on('click', 'a.unfavorite', function (event) {
                event.preventDefault();
                el = $(this);
                //Optimistic
                el.attr('class', 'favorite');
                el.find('img').attr('src', '/img/empty-star.png');
                el.find('img').attr('alt', 'Favorite');
                el.find('img').attr('title', 'Favorite');
                try {
                    $.ajax({
                        type: "POST",
                        url: "@Url.Action("ajax_unfavorite", "member")",
                        data: { assetID: $(this).attr('id').split('-')[1] }
                    })
                    .done(function (data) {
                        if (data.isSuccess) {
                            el.attr('class', 'favorite');
                            el.find('img').attr('src', '/img/empty-star.png');
                            el.find('img').attr('alt', 'Favorite');
                            el.find('img').attr('title', 'Favorite');
                            //$(this).next('img')
                            //alert('Success');
                        } else {
                            el.attr('class', 'unfavorite');
                            el.find('img').attr('src', '/img/star.png');
                            el.find('img').attr('alt', 'Unfavorite');
                            el.find('img').attr('title', 'Unfavorite');
                            //alert('Fail');
                        }
                    })
                    .fail(function (jqXHR, textStatus) {
                        el.attr('class', 'unfavorite');
                        el.find('img').attr('src', '/img/star.png');
                        el.find('img').attr('alt', 'Unfavorite');
                        el.find('img').attr('title', 'Unfavorite');
                        //alert(jqXHR.responseText);
                        //alert('Fail');
                    })
                    .always(function () {
                    });
                } catch (e) {
                }
            });
        });
    </script>
    <script>
        try {
            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date(); a = s.createElement(o),
                m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
            })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

            ga('create', 'UA-55127332-1', 'auto');
            ga('send', 'pageview');

            function getCityName() {
                var place = loc[0];
                var found = 0;
                for (var i = 0; i < place.address_components.length; i++) {
                    var addr = place.address_components[i];
                    if (addr.types[0] == 'locality') {
                        if (addr.long_name) {
                            $("#CurrentCity").html(" - " + addr.long_name);
                            if ($("#CurrentCityID").val() == -1 && $("#CurrentProvinceID").val() == -1) {
                                window.location = "?city=" + addr.long_name;
                                found = 1;
                            }
                        }
                    }
                }
                if (found == 0) {
                    for (var i = 0; i < place.address_components.length; i++) {
                        var addr = place.address_components[i];
                        if (addr.types[0] == 'administrative_area_level_2') {
                            if (addr.long_name) {
                                $("#CurrentCity").html(" - " + addr.long_name);
                                if ($("#CurrentCityID").val() == -1 && $("#CurrentProvinceID").val() == -1) {
                                    window.location = "?city=" + addr.long_name;
                                    found = 1;
                                }
                            }
                        }
                    }
                }
            }

            $(document).ready(function () {
                try {
                    if (navigator.geolocation) {                        
                        navigator.geolocation.getCurrentPosition(showPositionGlobal);
                    } else {
                        sendMemberActivity();
                    }
                } catch (e) {
                }
            });

            function showPositionGlobal(position) {
                try {
                    var geocoder = new google.maps.Geocoder();
                    var lat = parseFloat(position.coords.latitude);
                    var lng = parseFloat(position.coords.longitude);
                    var latlng = new google.maps.LatLng(lat, lng);
                    geocoder.geocode({ 'latLng': latlng }, function (results, status) {
                        if (status == google.maps.GeocoderStatus.OK) {
                            if (results) {
                                var place = results[0];
                                var found = 0;
                                for (var i = 0; i < place.address_components.length; i++) {
                                    var addr = place.address_components[i];
                                    if (addr.types[0] == 'locality') {
                                        if (addr.long_name) {                                            
                                            $("#hdnCityNameGlobal").val(addr.long_name);
                                            sendMemberActivity();
                                        }
                                    }
                                }
                                if (found == 0) {
                                    for (var i = 0; i < place.address_components.length; i++) {
                                        var addr = place.address_components[i];
                                        if (addr.types[0] == 'administrative_area_level_2') {
                                            if (addr.long_name) {                                                
                                                $("#hdnCityNameGlobal").val(addr.long_name);
                                                sendMemberActivity();
                                            }
                                        }
                                    }
                                }
                            } else {
                                console.log('No results found');
                                sendMemberActivity();
                            }
                        } else {
                            console.log('Geocoder failed due to: ' + status);
                            sendMemberActivity();
                        }
                    });
                } catch (e) {
                }                
            }

            function sendMemberActivity() {
                try {
                    $.ajax({
                        type: "POST",
                        url: "@Url.Action("ajax_page_visit", "member")",
                        data: { siteMapID: $("#hdnSiteMapID").val(), urlReferrerSiteMapID: $("#hdnURLReferrerSiteMapID").val(), city: $("#hdnCityNameGlobal").val(), additionalParams: $("#hdnAdditionalParams").val(), assetID: $("#hdnAssetID").val() }
                    })
                    .done(function (data) {
                        if (data.isSuccess) {
                            //alert('Success');
                        } else {
                            //alert('Fail');
                        }
                    })
                    .fail(function (jqXHR, textStatus) {
                        //alert(jqXHR.responseText);
                        //alert('Fail');
                    })
                    .always(function () {
                    });
                } catch (e) {
                }
            }
        } catch (e) {
        }
    </script>
</body>
</html>
